Bug 8307 - brl_close_fnum does not call SMB_VFS_BRL_UNLOCK_WINDOWS on all locks
brl_close_fnum does not call SMB_VFS_BRL_UNLOCK_WINDOWS on all locks
Status: RESOLVED FIXED
Product: Samba 3.6
Classification: Unclassified
Component: File services
3.6.0rc2
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-15 22:53 UTC by Herb Lewis
Modified: 2011-07-19 18:54 UTC (History)
0 users

See Also:


Attachments
git-am fix for 3.6.1 (5.40 KB, patch)
2011-07-16 04:38 UTC, Jeremy Allison
vl: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Herb Lewis 2011-07-15 22:53:09 UTC
unless lp_posix_locking is set, the vfs layer is not called to unlock windows
locks.
Comment 1 Jeremy Allison 2011-07-16 04:38:12 UTC
Created attachment 6700 [details]
git-am fix for 3.6.1

Volker please review for 3.6.1. Already gone into master.
Thanks !

Jeremy.
Comment 2 Karolin Seeger 2011-07-19 18:54:40 UTC
Pushed to v3-6-test.
Will be included in 3.6.0rc3.
Closing out bug report.

Thanks!